Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160495 - RHEL 3 U5 code base contains duplicate USB ESSENTIAL_REALITY
Summary: RHEL 3 U5 code base contains duplicate USB ESSENTIAL_REALITY
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pete Zaitcev
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 156320
TreeView+ depends on / blocked
 
Reported: 2005-06-15 14:05 UTC by Tom Kincaid
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHSA-2005-663
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-28 15:23:06 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:663 qe-ready SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 3 Update 6 2005-09-28 04:00:00 UTC

Description Tom Kincaid 2005-06-15 14:05:48 UTC
The following code fix is required to eliminate duplicate constants in the
kernel code base:


--- linux-2.4.21/drivers/usb/hid-core.c.orig
+++ linux-2.4.21/drivers/usb/hid-core.c
@@ -1120,9 +1120,6 @@ void hid_init_reports(struct hid_device
 #define USB_VENDOR_ID_TANGTOP          0x0d3d
 #define USB_DEVICE_ID_TANGTOP_USBPS2   0x0001

-#define USB_VENDOR_ID_ESSENTIAL_REALITY        0x0d7f
-#define USB_DEVICE_ID_ESSENTIAL_REALITY_P5     0x0100
-
 #define USB_VENDOR_ID_OKI              0x070a
 #define USB_VENDOR_ID_OKI_MULITI       0x0007

Comment 1 Pete Zaitcev 2005-06-15 17:38:28 UTC
I saw it when the fix for Chicony went in. Duplicate #define-s come from some
very old -ac, and were left in after subsequent patching. They were in the
tree for months, why is this a problem now?


Comment 2 Ernie Petrides 2005-06-15 21:22:28 UTC
Pete, ignore this BZ.  It was entered retroactively to cover all patches
committed to RHEL3 U6 so far.

Comment 3 Ernie Petrides 2005-06-15 21:23:38 UTC
A fix for this problem was committed to the RHEL3 U6 patch
pool on 20-Apr-2005 (in kernel version 2.4.21-32.1.EL).



Comment 9 Red Hat Bugzilla 2005-09-28 15:23:06 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-663.html



Note You need to log in before you can comment on or make changes to this bug.